#ifndef _TiW_H_
#define _TiW_H_

#include "code.h"
#include "resource.h"

#include <stdio.h>
#include <windows.h>					// Win32API
#include <string>
#include <regex>						// K\
#include <shlobj.h>						// tH_I_CAO
#include <shlwapi.h>					// PathFileExists
#include <shobjidl.h>					// COM
#pragma comment(lib, "shlwapi.lib")		// COM
#include <commctrl.h>					// _CAOAc[`bv
#include <codecvt>
#include <richedit.h>					// b`GfBbg
#pragma comment(lib, "msimg32.lib")		// TransparentBlt

#define kTiW_CLASS_NAME		L"TiW"
#define kMSG_TITLE			L"TiW"

using std::wstring;

#define ID_EDIT 100
#define kTIME 200 // ^C}Ԋu
#define kNUM_WIDTH 48
#define kNUM_MARGIN 4
#define kNUM_FONT_SIZE 10
#define WM_OPEN WM_APP + 1
#define WM_CLIP WM_APP + 2

typedef struct
{
	LONG fontSize;					// tHgTCY
	WCHAR fontName[LF_FACESIZE];	// tHg
	wstring editor;					// GfB^
	BOOL isTab4;					// ^uS
	BOOL isBlack;					// wi
	LONG encode;					// GR[h
	BOOL isWrap;					// [hbv
	BOOL isNum;						// sԍ
} INI;

typedef struct
{
	HWND hWnd;
	HWND hEdit;
	HWND hWrap;
	WCHAR *textFile;
	INI *pIni;
} THREAD_PARAM;

enum EncodMethod
{
	autoJudge,
	shiftJis,
	utf8,
	utf8bom,
	utf16LE,
	utf16BE,
	binary
};

#endif
